# Stockr

Stockr (pronounced `/ˈstôkər/`, like stalker), is a data-driven platform utilizing natural language processig regression techniques to model predictive and historical indicators on stock valuation in real time. 

![c](https://images.unsplash.com/photo-1460925895917-afdab827c52f?ixlib=rb-0.3.5&s=d8791fe0f9f4e735158400f9daf6a558&auto=format&fit=crop&w=1602&q=80)

### Data aggregation

At Stockr, our primary analytics consist of leveraging public consumer media and deriving a baseline score from syntactic structures to process semantic analysis. Our main focus is to provide value and help create strategic decisions to potential investors based on our data aggregation and analytics.

### Application Communication Diagram

```
                                                            +-----------------------------------------------------------+
        +-----------------+                                 |                                                           |
        |                 |                                 |                         Server                            |
        | User Schema     |          +----------------+     |                                                           |
        |                 +---------->                +-----> Data Capturing    Processing Pipeline   Data Processing   |
        | Semantic Schema |          | MySQL Database |     |                                                           |
        |                 <----------+                <-----+ Web Crawler       Queue Monitor         Semantic Analysis |
        | Scoring Schema  |          +----------------+     |                                                           |
        |                 |                                 |                   Data Store                              |
        +-----------------+                                 |                                                           |
                                                            +------------------------+--------^-------------------------+
                                                                                     |        |
                                                                                     |        |
                                                                                     |        |
                                                                                     |        |
                                                                               +-----v--------+-----+
                                                                               |                    |
                                                                               | Application View   |
                                                                               |                    |
                                                                               | Data Visualization |
                                                                               |                    |
                                                                               +--------------------+

```

### Technology Stack

Stockr implements bleeding-edge technology to serve and deliver content as nimble as possible. By leveraging modern tools available in the Java ecosystem, we have created an infrastructure that is fast, efficent, light, and secure. We have chosen a streamlined approach to scaling our architecture horizontally by effectuating the resources available with cloud computing.

Our client-side architecture consists of:
- Vue.js
- SCSS
- HTML5
- Webpack
- Babel
- ES6(+)

Our server-side architecture consists of:
- Java
- Spring Boot
- Golang
- Tomcat with embedded H2
- Amazon Linux EC2


### 3rd Party API Services

[News API](https://newsapi.org/) - Live reports of consumer media and real time updates on current trending topics.
[Parallel Dots API](https://www.paralleldots.com/) - Artificial intelligence analysis and processing computations.

##### SEC Compliance

These securities have not been approved or disapproved by the SEC nor have any representations been made about the accuracy of the adequacy of the information. Stockr makes no representations or warranties regarding the advisability of investing in any product or service offered by any 3rd party integration service. Stockr has no obligation or liability in connection with the operation, marketing, trading or sale of any product or service offered by any 3rd party integration service.